<?php
/**
* 配列書式例外
*
* [詳細]
* ・配列でなければならない箇所で配列以外の書式の値が渡された
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class ArrayFormatException extends CharcoalException
{
	public function __construct( $var_value, $message = NULL )
	{
		$msg  = "[var value]$var_value";
		$msg .= "[message] must be an ARRAY value. $message";

		parent::__construct( $msg );

		ExceptionStack::push( $this );
	}

}

return __FILE__;